ListFeeds

GET/feeds/v1/projects/{project_id}/feeds

Path Parameters

project_id*project_id

The project_id path parameter.

Query Parameters

pagination.limit?limit

Maximum number of items to return.

Formatint32
Range1 <= value <= 100
Default"25"
pagination.offset?offset

Number of items to skip before collecting the result set.

Formatint32
Default"0"

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/feeds.v1.ListFeedsResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "feeds": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/feeds.v1.Feed",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "examples": [
                  "F4edRI23XL"
                ],
                "title": "id"
              },
              "project_id": {
                "type": "string",
                "examples": [
                  "Bq4y3QB38S"
                ],
                "title": "project_id"
              },
              "name": {
                "type": "string",
                "examples": [
                  "My Feed"
                ],
                "title": "name"
              },
              "description": {
                "type": "string",
                "examples": [
                  "A short description."
                ],
                "title": "description"
              },
              "allow_images": {
                "type": "boolean",
                "examples": [
                  "true"
                ],
                "title": "allow_images"
              },
              "allow_videos": {
                "type": "boolean",
                "examples": [
                  "true"
                ],
                "title": "allow_videos"
              },
              "has_likes": {
                "type": "boolean",
                "examples": [
                  "true"
                ],
                "title": "has_likes"
              },
              "has_shares": {
                "type": "boolean",
                "examples": [
                  "true"
                ],
                "title": "has_shares"
              },
              "has_comments": {
                "type": "boolean",
                "examples": [
                  "true"
                ],
                "title": "has_comments"
              },
              "created_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "examples": [
                  "2026-01-15T10:30:00Z"
                ],
                "title": "created_at"
              },
              "updated_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "examples": [
                  "2026-01-15T10:30:00Z"
                ],
                "title": "updated_at"
              }
            },
            "title": "Feed",
            "additionalProperties": false
          }
        },
        "title": "feeds"
      },
      "total": {
        "type": "string",
        "examples": [
          "42"
        ],
        "title": "total",
        "format": "int64"
      }
    },
    "title": "ListFeedsResponse",
    "additionalProperties": false
  }
}
curl -X GET "https://api.rixl.com/feeds/v1/projects/Bq4y3QB38S/feeds"

Success

application/json

{
  "$ref": "#/components/schemas/feeds.v1.ListFeedsResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "feeds": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/feeds.v1.Feed",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "examples": [
                  "F4edRI23XL"
                ],
                "title": "id"
              },
              "project_id": {
                "type": "string",
                "examples": [
                  "Bq4y3QB38S"
                ],
                "title": "project_id"
              },
              "name": {
                "type": "string",
                "examples": [
                  "My Feed"
                ],
                "title": "name"
              },
              "description": {
                "type": "string",
                "examples": [
                  "A short description."
                ],
                "title": "description"
              },
              "allow_images": {
                "type": "boolean",
                "examples": [
                  "true"
                ],
                "title": "allow_images"
              },
              "allow_videos": {
                "type": "boolean",
                "examples": [
                  "true"
                ],
                "title": "allow_videos"
              },
              "has_likes": {
                "type": "boolean",
                "examples": [
                  "true"
                ],
                "title": "has_likes"
              },
              "has_shares": {
                "type": "boolean",
                "examples": [
                  "true"
                ],
                "title": "has_shares"
              },
              "has_comments": {
                "type": "boolean",
                "examples": [
                  "true"
                ],
                "title": "has_comments"
              },
              "created_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "examples": [
                  "2026-01-15T10:30:00Z"
                ],
                "title": "created_at"
              },
              "updated_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "examples": [
                  "2026-01-15T10:30:00Z"
                ],
                "title": "updated_at"
              }
            },
            "title": "Feed",
            "additionalProperties": false
          }
        },
        "title": "feeds"
      },
      "total": {
        "type": "string",
        "examples": [
          "42"
        ],
        "title": "total",
        "format": "int64"
      }
    },
    "title": "ListFeedsResponse",
    "additionalProperties": false
  }
}